﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Drawing.Printing;


namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
       // private string strFileName;
       public Form1()
        {

            InitializeComponent();
        }
        //دکمه open

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            //openFileDialog1.Filter = "Text files (*.txt) |*.txt|" + " All files (*.*) |*.*";
            //openFileDialog1.FilterIndex = 1;
            //openFileDialog1.Title = "Demo Open File Dialog";

            //if (openFileDialog1.ShowDialog() == DialogResult.OK)
            //{

            //    strFileName = openFileDialog1.FileName;
            //    textariya.Text = System.IO.File.ReadAllText(strFileName);

            //}

            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "Doc File|*.docx";
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                textariya.LoadFile(ofd.FileName);
                MessageBox.Show("فایل با موفقیت باز شد", "تایید", MessageBoxButtons.OK, MessageBoxIcon.None);
            }
        
        }

        //دکمه New
        private void newToolStripMenuItem_Click(object sender, EventArgs e)
        {
            textariya.Text = "";
        }


        //دکمه exit
        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
        //دکمه cut
        private void cutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
           textariya.Cut();
        }

        //دکمه copy
        private void copyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            textariya.Copy();
        }
        //دکمه paste
        private void pasteToolStripMenuItem_Click(object sender, EventArgs e)
        {
            textariya.Paste();
        }

        //دکمه sellect all
        private void selectAllToolStripMenuItem_Click(object sender, EventArgs e)
        {
            textariya.SelectAll();

        }

        //دکمه undo
        private void undo_Click(object sender, EventArgs e)
        {
            if (textariya.CanUndo == true)
            {
                textariya.Undo();
                textariya.ClearUndo();
            }

        }
        //نوار وضعیت status bar
        private void statusbar_Click(object sender, EventArgs e)
        {
            if ((!statusbar.Checked))
            {
                statusbar.Checked = true;

                statusStrip1.Visible = true;

            }

            else
            {
                statusbar.Checked = false;
                statusStrip1.Visible = false;
            }
        }


        //دکمه نمایش نوار فرمت format bar
        private void formatingToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if ((!formatingToolStripMenuItem.Checked))
            {
                formatingToolStripMenuItem.Checked = true;

                toolStrip1.Visible = true;

            }

            else
            {
                formatingToolStripMenuItem.Checked = false;
                toolStrip1.Visible = false;
            }
        }

        //نوار ابزار tool bar
        private void toolbar_Click(object sender, EventArgs e)
        {
            if ((!toolbar.Checked))
            {
                toolbar.Checked = true;

                toolStrip.Visible = true;

            }

            else
            {
                toolbar.Checked = false;
                toolStrip.Visible = false;
            }
        }

        
        //دکمه page setup
        private void pagesetup_Click(object sender, EventArgs e)
        {


            pageSetupDialog1.Document = printDocument1;
            pageSetupDialog1.ShowDialog();
        }

        //دکمه print
        private void print_Click(object sender, EventArgs e)
        {
            if (printDialog1.ShowDialog() == DialogResult.OK)
            {
                printDocument1.Print();
            }
        }

       //دکمه تاریخ و ساعت data & time
        private void dateTimeToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            textariya.Text += Convert.ToString(DateTime.Now);

        }

        //دکمه قلم font
        private void fontToolStripMenuItem_Click(object sender, EventArgs e)
        {

            fontDialog1.ShowColor = true;
            fontDialog1.ShowDialog();
            textariya.Font = fontDialog1.Font;
            textariya.ForeColor = fontDialog1.Color;
        }

        //دکمه پاک کردن delete
        private void toolStripMenuItem1_Click(object sender, EventArgs e)
        {
            if (textariya.SelectionLength > 0)
            {
                textariya.SelectedText = "";

            }
        }

        //دکمه تعویض رنگ پس زمینه backcolor
        private void backColorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ColorDialog myColorDialog = new ColorDialog();
            myColorDialog.ShowDialog();
            textariya.BackColor = myColorDialog.Color;
        }

        // دکمه چپ چین left
        private void leftToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Bright.Checked = false;
            Bleft.Checked = true;
            textariya.RightToLeft = RightToLeft.No;
        }

        //دکمه راست چین right
        private void rightToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Bright.Checked = true;
            Bleft.Checked = false;
            textariya.RightToLeft = RightToLeft.Yes;
        }

        //دکمه وسط چین
        private void bcenter_Click(object sender, EventArgs e)
        {
            Bright.Checked = false;
            Bleft.Checked = false;
            bcenter.Checked = true;
            textariya.SelectionAlignment = HorizontalAlignment.Center;
        }

        //دکمه درباره مولف about
        private void aboutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form2 form2 = new Form2();
            form2.ShowDialog();
        }

        //دکمه پیش نمایش پرینت print preview
        private void toolStripMenuItem2_Click(object sender, EventArgs e)
        {
            PrintPreviewDialog PrintPreviewDialog = new PrintPreviewDialog();

            PrintPreviewDialog.Document = printDocument1;

            if (PrintPreviewDialog.ShowDialog() == DialogResult.OK)
            {
                StringReader reader = new StringReader(textariya.Text);
                reader = new StringReader(textariya.Text);

                printDocument1.Print();

            }
        }

        //دکمه save
        private void toolStripMenuItem6_Click(object sender, EventArgs e)
        {
            //saveFileDialog1.DefaultExt = "txt";
            //saveFileDialog1.FileName = strFileName;
            //saveFileDialog1.Filter =
            //"Text files (*.txt)|*.txt|All files (*.*)|*.*";
            //saveFileDialog1.FilterIndex = 1;
            //saveFileDialog1.OverwritePrompt = true;
            //saveFileDialog1.Title = "Demo Save File Dialog";

            //if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            //{

            //    strFileName = saveFileDialog1.FileName;

            //    System.IO.File.WriteAllText(strFileName, textariya.Text);
            //}

            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "Doc File|*.doc";
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                textariya.SaveFile(sfd.FileName);
                MessageBox.Show("فایل با موفقیت ذخیره شد", "َAddress File : " + sfd.FileName, MessageBoxButtons.OK, MessageBoxIcon.None);

            }
        }

      
        //دکمه بالت و سیمبول bullet               
        private void bullet_Click(object sender, EventArgs e)

        {
            
            if ((!bullet.Checked))
            {
                bullet.Checked = true;

                try
                {
                    textariya.BulletIndent = 10;
                    textariya.SelectionBullet = true;
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message.ToString(), "Error");
                }
            }
            else
            {

                if (bullet.Checked)
                {
                    bullet.Checked = false;

                    try
                    {

                        textariya.SelectionBullet = false;
                    }
                    catch (Exception ex)
                    {
                        MessageBox.Show(ex.Message.ToString(), "Error");
                    }
                }


            }
        }

        //دکمه cut آیکن نوار ابزار
        private void cutToolStripButton_Click(object sender, EventArgs e)
        {
            textariya.Cut();
        }

        //دکمه paste آیکن نوار ابزار
        private void pasteToolStripButton_Click(object sender, EventArgs e)
        {
            textariya.Paste();
        }

        //دکمه copy آیکن نوار ابزار
        private void copyToolStripButton_Click(object sender, EventArgs e)
        {
            textariya.Copy();
        }

        private void newToolStripButton1_Click(object sender, EventArgs e)
        {
            textariya.Text = "";
        }

        //دکمه open آیکن نوار ابزار
        private void openToolStripButton1_Click(object sender, EventArgs e)
        {
            //openFileDialog1.Filter = "Text files (*.txt) |*.txt|" + " All files (*.*) |*.*";
            //openFileDialog1.FilterIndex = 1;
            //openFileDialog1.Title = "Demo Open File Dialog";

            //if (openFileDialog1.ShowDialog() == DialogResult.OK)
            //{

            //    strFileName = openFileDialog1.FileName;
            //    textariya.Text = System.IO.File.ReadAllText(strFileName);

            //}

            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "Doc File|*.docx";
            if (ofd.ShowDialog() == DialogResult.OK)
            {
                textariya.LoadFile(ofd.FileName);
                MessageBox.Show("فایل با موفقیت باز شد", "تایید", MessageBoxButtons.OK, MessageBoxIcon.None);
            }
        
        }

        //دکمه save آیکن نوار ابزار
        private void saveToolStripButton1_Click(object sender, EventArgs e)
        {
            //saveFileDialog1.DefaultExt = "txt";
            //saveFileDialog1.FileName = strFileName;
            //saveFileDialog1.Filter =
            //"Text files (*.txt)|*.txt|All files (*.*)|*.*";
            //saveFileDialog1.FilterIndex = 1;
            //saveFileDialog1.OverwritePrompt = true;
            //saveFileDialog1.Title = "Demo Save File Dialog";

            //if (saveFileDialog1.ShowDialog() == DialogResult.OK)
            //{

            //    strFileName = saveFileDialog1.FileName;

            //    System.IO.File.WriteAllText(strFileName, textariya.Text);
            //}

            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "Doc File|*.doc";
            if (sfd.ShowDialog() == DialogResult.OK)
            {
                textariya.SaveFile(sfd.FileName);
                MessageBox.Show("فایل با موفقیت ذخیره شد", "َAddress File : " + sfd.FileName, MessageBoxButtons.OK, MessageBoxIcon.None);

            }
        }

        //دکمه print آیکن نوار ابزار
        private void printToolStripButton_Click(object sender, EventArgs e)
        {
            printDocument1.Print();
        }

        //دکمه تعویض رنگ متن text color
        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                textariya.SelectionColor = colorDialog1.Color;
            }
        }

        //دکمه تعویض رنگ پشت زمینه متنی یا متن انتخابی text backcolor
        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                textariya.SelectionBackColor = colorDialog1.Color;
            }
        }

        //دکمه ضخیم و درشت کردن متن bold
        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            if (textariya.SelectionFont != null)
            {
                System.Drawing.Font currentFont = textariya.SelectionFont;
                System.Drawing.FontStyle newFontStyle;

                if (textariya.SelectionFont.Bold == true)
                {
                    newFontStyle = FontStyle.Regular;
                }
                else
                {
                    newFontStyle = FontStyle.Bold;
                }

                textariya.SelectionFont = new Font(currentFont.FontFamily, currentFont.Size, newFontStyle);

            }
        }


        //دکمه زیرخط دار کردن متن underline
        private void toolStripButton4_Click(object sender, EventArgs e)
        {
            if (textariya.SelectionFont != null)
            {
                System.Drawing.Font currentFont = textariya.SelectionFont;
                System.Drawing.FontStyle newFontStyle;

                if (textariya.SelectionFont.Underline == true)
                {
                    newFontStyle = FontStyle.Regular;
                }
                else
                {
                    newFontStyle = FontStyle.Underline;
                }

                textariya.SelectionFont =  new Font(currentFont.FontFamily, currentFont.Size, newFontStyle);
               
            }
        }

        //دکمه مورب و کج کردن متن italic
        private void toolStripButton5_Click(object sender, EventArgs e)
        {
            if (textariya.SelectionFont != null)
            {
                System.Drawing.Font currentFont = textariya.SelectionFont;
                System.Drawing.FontStyle newFontStyle;

                if (textariya.SelectionFont.Italic == true)
                {
                    newFontStyle = FontStyle.Regular;
                }
                else
                {

                    newFontStyle = FontStyle.Italic;


                }

                textariya.SelectionFont = new Font(currentFont.FontFamily,currentFont.Size,  newFontStyle);
                
            }
        }


        //دکمه راست چین آیکن نوار فرمت right
        private void toolStripButton8_Click(object sender, EventArgs e)
        {
            textariya.SelectionAlignment = HorizontalAlignment.Right;
        }

        //دکمه وسط چین آیکن نوار فرمت center
        private void toolStripButton7_Click(object sender, EventArgs e)
        {
            textariya.SelectionAlignment = HorizontalAlignment.Center ;

        }

        //دکمه چپ چین آیکن نوار فرمت left
        private void toolStripButton6_Click(object sender, EventArgs e)
        {
            textariya.SelectionAlignment = HorizontalAlignment.Left ;
        }

        //  غیر فعال کردن دکمه های خاص 
        private void textariya_TextChanged(object sender, EventArgs e)
        {
            if (textariya.Text != "")
            {
                cutToolStripMenuItem.Enabled = true;
                copyToolStripMenuItem.Enabled = true;
                pasteToolStripMenuItem.Enabled = true;
                pasteToolStripMenuItem.Enabled = true;
                toolStripMenuItem1.Enabled = true;
                undo.Enabled = true;
                // منوهای فرعی
                cutToolStripMenuItem1.Enabled  = true;
                copyToolStripMenuItem1.Enabled = true;
                pasteToolStripMenuItem1.Enabled = true;

            }

        }

       

        //دکمه cut منوی فرعی
        private void cutToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            textariya.Cut();
        }

        //دکمه copy منوی فرعی
        private void copyToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            textariya.Copy();
        }

        //دکمه paste منوی فرعی
        private void pasteToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            textariya.Paste();
        }


        //نحوه نمایش منوی فرعی
        private void textariya_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Right)
            {
                contextMenuStrip1.Show(textariya, e.Location);
            }
        } 
        
        
        
        
        
        
    }
}


       
                       
        
         
      





    
       


       


